Bug 560084 - [PATCH] modprobe whitelist functionality
[PATCH] modprobe whitelist functionality
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kmod (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: kmod development team
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 594466
  Show dependency treegraph
 
Reported: 2010-01-29 14:39 EST by Miloslav Trmač
Modified: 2013-02-08 06:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add "whitelist" and "config action_log" directives to modprobe (43.32 KB, patch)
2010-01-29 14:39 EST, Miloslav Trmač
no flags Details | Diff
Spec file patch (1.08 KB, patch)
2010-01-29 14:39 EST, Miloslav Trmač
no flags Details | Diff
Patch against upstream kmod (15.87 KB, patch)
2012-11-05 14:10 EST, Milan Broz
no flags Details | Diff
Patch against upstream kmod (15.86 KB, patch)
2012-11-05 14:27 EST, Milan Broz
no flags Details | Diff
Patch against upstream kmod (15.89 KB, patch)
2012-11-05 16:15 EST, Milan Broz
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2010-01-29 14:39:15 EST
Created attachment 387633 [details]
Add "whitelist" and "config action_log" directives to modprobe

The attached patch adds whitelist support to modprobe.  It is the same set of changes as the patches sent for upstream adoption, rebased against module-init-tools-3.11.1-2.fc13.
Comment 1 Miloslav Trmač 2010-01-29 14:39:43 EST
Created attachment 387634 [details]
Spec file patch
Comment 2 Jon Masters 2010-02-24 18:55:08 EST
Thanks for the patches. I will post a followup here.
Comment 3 Bug Zapper 2010-03-15 10:18:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Carl G. 2010-09-23 03:47:37 EDT
I guess it's too late for the inclusion of this patch in F14?
Comment 5 Jon Masters 2010-09-24 13:52:57 EDT
Yes. But we'll revisit it for F15.
Comment 6 Bug Zapper 2011-06-02 12:43:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Carl G. 2011-11-13 09:46:08 EST
Marking as FutureFeature so it doesn't get closed when Fedora 15 EOL.
Comment 8 Steve Grubb 2012-07-11 10:51:47 EDT
Hi Jon, have you given this much more thought? The problem is not going away. We have a need to do a couple things. One is prevent surprise enablement. Meaning that you have hardware that does not have drivers and you wanted to prevent the device's use to begin with. But then one day the kernel is updated and by surprise the device is now functional. This is important for things like: web cam, microphone, wireless network, USB devices, Firewire devices, network protocols, or file systems (I'm sure there are more). 

The other is for security lockdown. We need to be able to prevent loading of certain modules in a way that is future-proof or in other words not susceptible to surprise enablement. F-18 is in development, so maybe we can do the experimenting now?  Thanks.
Comment 9 Miloslav Trmač 2012-07-11 10:57:16 EDT
(In reply to comment #8)
> Hi Jon, have you given this much more thought? The problem is not going
> away.

In the mean time, module-init-tools were replaced by kmod in Fedora.  I haven't checked how much rewriting would the patch need.
Comment 10 Fedora End Of Life 2012-08-07 16:08:58 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Steve Grubb 2012-10-16 09:52:22 EDT
This functionality is still needed.
Comment 12 Milan Broz 2012-11-05 06:45:34 EST
As mitr said in comment #9 in recent Fedora modprobe is provided by kmod package...

So, obvious question - where that whitelist is needed?
In RHEL7 only (so patch only kmod)?
Comment 13 Milan Broz 2012-11-05 10:57:52 EST
I there any problem with implementing "whitelist" keyword in [lib]kmod?

If not, I'll port the patch there...
Comment 15 Milan Broz 2012-11-05 14:10:23 EST
Created attachment 638861 [details]
Patch against upstream kmod

Attached patch is patch against upstream kmod git, implementing "whitelist" keyword.

(For fedora only minor tweak is needed but it adds library symbol so "upstream first" :-)
Comment 16 Milan Broz 2012-11-05 14:27:44 EST
Created attachment 638888 [details]
Patch against upstream kmod

Fixed patch - whitelist must be applied unconditionally if exists.
Comment 17 Milan Broz 2012-11-05 16:15:00 EST
Created attachment 638907 [details]
Patch against upstream kmod

And fix for previous fix...

(Never ever edit patch minute before leaving the office. Proved again... :-)
Comment 18 Milan Broz 2012-11-06 07:05:17 EST
Just for reference, I sent it upstream for discussion:
http://article.gmane.org/gmane.linux.kernel.modules/876

Note You need to log in before you can comment on or make changes to this bug.